Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::AlignedAllocator< T, Alignment >::rebind< U > Struct Template Reference

`#include <OgreAlignedAllocator.h>`

List of all members.

## Public Types
typedef AlignedAllocator< U, Alignment > | other

### template<typename T, unsigned Alignment = 0>
template<typename U>
struct Ogre::AlignedAllocator< T, Alignment >::rebind< U >

## Member Typedef Documentation

template<typename T, unsigned Alignment = 0>
template<typename U>
typedef AlignedAllocator<U, Alignment> Ogre::AlignedAllocator< T, Alignment >::rebind< U >::other

| Definition at line 125 of file OgreAlignedAllocator.h.

The documentation for this struct was generated from the following file:

- OgreAlignedAllocator.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:02 2007